Update Agreement

patch

/agreements/{agreementId}

Updates an agreement using PCM_OP_AGREEMENT_PATCH.

Request

Path Parameters
Supported Media Types
Request Body - application/xml ()
Root Schema : schema
Type: object
Show Source
Nested Schema : accounts
Type: array
Show Source
Nested Schema : AgreementCharacteristic
Type: object
One characteristic object containing zero or more attributes.
Show Source
Nested Schema : extension
Type: object
The extended attributes.
Nested Schema : ResourceRef
Type: object
Show Source
Nested Schema : offers
Type: array
Show Source
Nested Schema : profiles
Type: array
Show Source
Nested Schema : AgreementAssociation
Type: object
Show Source
Nested Schema : attributes
Type: array
Show Source
Nested Schema : AgreementCharacteristicAttribute
Type: object
Show Source
Nested Schema : AgreementOffer
Type: object
Show Source
Nested Schema : attributes
Type: array
Show Source
Nested Schema : usageMap
Type: array
Usage-map overrides owned by this individual agreement offer.
Show Source
Nested Schema : AgreementProductCharacteristic
Type: object
Show Source
Nested Schema : AgreementUsageMap
Type: object
Usage-map overrides owned by this individual agreement offer.
Show Source
Nested Schema : attribute
Type: array
Show Source
Nested Schema : dateRange
Type: array
Show Source
Nested Schema : discountModels
Type: array
Show Source
Nested Schema : ratePlans
Type: array
Show Source
Nested Schema : AgreementDateRange
Type: object
Show Source
Nested Schema : priceTags
Type: array
Show Source
Nested Schema : AgreementPriceTag
Type: object
Show Source
Nested Schema : AgreementDiscountModel
Type: object
Show Source
Nested Schema : priceTags
Type: array
Show Source
Nested Schema : AgreementRatePlan
Type: object
Show Source
Nested Schema : priceTags
Type: array
Show Source
Nested Schema : AgreementProductProfile
Type: object
Show Source
Nested Schema : dataArray
Type: array
Show Source
Nested Schema : Extrating
Type: object
Information about an extended rating attribute.
Show Source
  • The ERA's label name.
  • A number that keeps the reference count. For purchases, the counter is incremented by one. For cancellations, the counter is decreased by one.
  • The provisioning status. Can be one of the following:
    • 0: No operation
    • 1: Provisioning ERA
    • 2: Provisioning ERA failed
    • 3: ERA active
    • 4: Unprovisioning ERA
    • 5: Unprovisioning ERA failed
    • 6: ERA unprovisioned
    • 7: Suspending ERA
    • 8: ERA suspension failed
    • 9: ERA suspended
Nested Schema : AgreementProfileAttribute
Type: object
Show Source
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : accounts
Type: array
Show Source
Nested Schema : AgreementCharacteristic
Type: object
One characteristic object containing zero or more attributes.
Show Source
Nested Schema : extension
Type: object
The extended attributes.
Nested Schema : ResourceRef
Type: object
Show Source
Nested Schema : offers
Type: array
Show Source
Nested Schema : profiles
Type: array
Show Source
Nested Schema : AgreementAssociation
Type: object
Show Source
Nested Schema : attributes
Type: array
Show Source
Nested Schema : AgreementCharacteristicAttribute
Type: object
Show Source
Nested Schema : AgreementOffer
Type: object
Show Source
Nested Schema : attributes
Type: array
Show Source
Nested Schema : usageMap
Type: array
Usage-map overrides owned by this individual agreement offer.
Show Source
Nested Schema : AgreementProductCharacteristic
Type: object
Show Source
Nested Schema : AgreementUsageMap
Type: object
Usage-map overrides owned by this individual agreement offer.
Show Source
Nested Schema : attribute
Type: array
Show Source
Nested Schema : dateRange
Type: array
Show Source
Nested Schema : discountModels
Type: array
Show Source
Nested Schema : ratePlans
Type: array
Show Source
Nested Schema : AgreementDateRange
Type: object
Show Source
Nested Schema : priceTags
Type: array
Show Source
Nested Schema : AgreementPriceTag
Type: object
Show Source
Nested Schema : AgreementDiscountModel
Type: object
Show Source
Nested Schema : priceTags
Type: array
Show Source
Nested Schema : AgreementRatePlan
Type: object
Show Source
Nested Schema : priceTags
Type: array
Show Source
Nested Schema : AgreementProductProfile
Type: object
Show Source
Nested Schema : dataArray
Type: array
Show Source
Nested Schema : Extrating
Type: object
Information about an extended rating attribute.
Show Source
  • The ERA's label name.
  • A number that keeps the reference count. For purchases, the counter is incremented by one. For cancellations, the counter is decreased by one.
  • The provisioning status. Can be one of the following:
    • 0: No operation
    • 1: Provisioning ERA
    • 2: Provisioning ERA failed
    • 3: ERA active
    • 4: Unprovisioning ERA
    • 5: Unprovisioning ERA failed
    • 6: ERA unprovisioned
    • 7: Suspending ERA
    • 8: ERA suspension failed
    • 9: ERA suspended
Nested Schema : AgreementProfileAttribute
Type: object
Show Source
Back to Top

Response

Supported Media Types

200 Response

The agreement was updated successfully.
Body ()
Root Schema : ResourceRef
Type: object
Show Source

400 Response

The request contains an invalid agreement field value.

404 Response

The specified agreement was not found.

500 Response

An internal server error occurred.
Back to Top